# IAX2IeInvalidElement Class Reference

`#include <ies.h>`

Inheritance diagram for IAX2IeInvalidElement:

[legend]
Collaboration diagram for IAX2IeInvalidElement:
[legend]

## Public Member Functions

| IAX2IeInvalidElement ()
virtual BYTE | GetlengthOfData ()
virtual void | PrintOn (ostream &str) const

## Protected Member Functions

virtual void | WriteBinary (BYTE *)

## Detailed Description

An Information Element that identifies an invalid code in the processed binary data.

## Constructor & Destructor Documentation

IAX2IeInvalidElement::IAX2IeInvalidElement | ( |  | ) | `[inline]`

## Member Function Documentation

virtual BYTE IAX2IeInvalidElement::GetlengthOfData | ( |  | ) | `[inline, virtual]`

Access function to get the length of data, which is used when writing to network packet

virtual void IAX2IeInvalidElement::PrintOn | ( | ostream & | str | ) | const`[inline, virtual]`

print this class (nicely) to the designated stream

Reimplemented from IAX2Ie.

virtual void IAX2IeInvalidElement::WriteBinary | ( | BYTE * |  | ) | `[inline, protected, virtual]`

Take the data value for this particular IAX2Ie and copy into the memory region. For an IAX2IeInvalidElement, there is no work done, as the data is invalid.

Reimplemented from IAX2Ie.

The documentation for this class was generated from the following file:

- ies.h